query.py(1)

NAME
query.py - execute a query

SYNOPSIS
query host port socket user passwd query

DESCRIPTION
The query.py command executes the query specified in the query parameter and returns the result set as a quote/comma/return seperated value list to standard output.

OPTIONS

host
    hostname of the machine running the listener daemon

port
    port number the listener daemon is listening on, for local or remote connections

socket
    socket the listener daemon is listening on, for local connections

user
    SQL Relay user name (as per config file)

passwd
    SQL Relay password (as per config file)

query
    query to be executed This command is a python implementation of the query (1) command.

EXAMPLES

query.py "" "" /tmp/examplesocket fred secret "select * from tbl"
    Connect to the SQL Relay listener daemon running on the local machine, with socket /tmp/examplesocket, as user fred, with password secret, and run a query.

SEE ALSO
fields(1), query(1), sqlrsh(1), sqlr-cachemanager(8), sqlr-connection(8), sqlr-listener(8), sqlr-scaler(8), sqlr-start(8), sqlr-stop(8), and the documentation in /usr/share/doc/sqlrelay.

AUTHORS
This manual page was written by Andreas Tille <tille@debian.org> and Florian M. Weps <fweps@greenmail.ch>, for the Debian GNU/Linux system (but may be used by others).